﻿package 
{
	import flash.display.DisplayObjectContainer;
	import flash.display.MovieClip;
	import flash.display.Sprite;
	import flash.events.MouseEvent;
	import flash.events.Event;
	import flash.geom.Point;
	/**
	* ...
	* @author DefaultUser (Tools -> Custom Arguments...)
	*/
	public class  SetLED extends MovieClip
	{
		private var my_container:DisplayObjectContainer;
		private var myMC:MovieClip;
		private var mc:MovieClip;
		
		public function SetLED(container:DisplayObjectContainer):void
		{
			my_container = container;
			makeMC();
			
			myMC = new MovieClip();
			myMC.x = my_container.mouseX;
			myMC.y = my_container.mouseY;
			my_container.addChild(myMC);
			myMC.graphics.lineStyle(1, 0xFFFFFF);
			myMC.graphics.drawCircle(0, 0, 1);
			
			myMC.addEventListener(Event.ENTER_FRAME, onEnterFrame);
		}
		
		private function makeMC():void
		{
			var cnt:uint = 35;
			var stageW:uint = my_container.stage.stageWidth;
			var stageH:uint = my_container.stage.stageHeight;
			var dx:Number = stageW / cnt;
			var dy:Number = stageH / cnt;
			var i:uint;
			var j:uint;
			
			for (i = 1; i <= cnt; i++)
			{
				for (j = 0; j <= cnt - 1; j++)
				{
					mc = new LEDs();
					
					mc.x = dx * i;
					mc.y = dy * j;
					
					my_container.addChild(mc);
					
					getPoint(mc);
				}
			}
		}
		
		private function onEnterFrame(event:Event):void
		{
			myMC.x = my_container.stage.mouseX;
			myMC.y = my_container.stage.mouseY;
		}
		
		private function getPoint(led:MovieClip):void
		{
			led.graphics.lineStyle(1, 0xFFFFFF);
			led.graphics.drawCircle(0, 0, 2);
			my_container.addChild(led);
			
			led.addEventListener(Event.ENTER_FRAME, offLED);
		}
		
		private function offLED(event:Event):void
		{
			var myLED:MovieClip = event.target as MovieClip;
			
			var lp:Point = new Point(myLED.x, myLED.y);
			var mp:Point = new Point(myMC.x, myMC.y);
			
			var d:Number = Point.distance(mp, lp);
			
			
			if (d > 50 && d < 70)
			{
				myLED.alpha = 0;
			}
			else if (d > 90 && d < 110)
			{
				myLED.alpha = 0;
			}
			else if (d > 130 && d < 150)
			{
				myLED.alpha = 0;
			}
			else if (d > 170 && d < 190)
			{
				myLED.alpha = 0;
			}
			else
			{
				myLED.alpha = 100;
			}
		}
	}
	
}